# std::tuple_element< 0, tuple< _Head, _Tail...> > Struct Template Reference

List of all members.

## Detailed Description

### template<typename _Head, typename... _Tail>
struct std::tuple_element< 0, tuple< _Head, _Tail...> >

Basis case for tuple_element: The first element is the one we're seeking.

Definition at line 390 of file tuple.

## Public Types

- typedef _Head type

The documentation for this struct was generated from the following file:

- tuple